summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/version5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/version b/scripts/version
new file mode 100755
index 00000000..fb941a00
--- /dev/null
+++ b/scripts/version
@@ -0,0 +1,5 @@
+#!/bin/sh
+set -e
+cd `dirname "$0"`
+git rev-parse --verify -q jq-1.0 > /dev/null 2>&1
+git describe --always --match 'jq-*' --dirty | sed 's/^jq-//'